Loading...
Searching...
No Matches
ONX_Model_Object Class Reference

`#include <pcl/surface/3rdparty/opennurbs/opennurbs_extensions.h>`

## Public Member Functions

| ONX_Model_Object ()
| ~ONX_Model_Object ()
| ONX_Model_Object (const ONX_Model_Object &)
ONX_Model_Object & | operator= (const ONX_Model_Object &)
void | Dump (ON_TextLog &) const

## Public Attributes

bool | m_bDeleteObject
const ON_Object * | m_object
ON_3dmObjectAttributes | m_attributes

## Detailed Description

Definition at line 69 of file opennurbs_extensions.h.

## Constructor & Destructor Documentation

## ONX_Model_Object() [1/2]

ONX_Model_Object::ONX_Model_Object | ( |  | ) |

Referenced by ONX_Model_Object(), and operator=().

## ~ONX_Model_Object()

ONX_Model_Object::~ONX_Model_Object | ( |  | ) |

## ONX_Model_Object() [2/2]

ONX_Model_Object::ONX_Model_Object | ( | const ONX_Model_Object & |  | ) |

References ONX_Model_Object().

## Member Function Documentation

## Dump()

void ONX_Model_Object::Dump | ( | ON_TextLog & |  | ) | const

## operator=()

ONX_Model_Object & ONX_Model_Object::operator= | ( | const ONX_Model_Object & |  | ) |

References ONX_Model_Object().

## Member Data Documentation

## m_attributes

ON_3dmObjectAttributes ONX_Model_Object::m_attributes

Definition at line 100 of file opennurbs_extensions.h.

## m_bDeleteObject

bool ONX_Model_Object::m_bDeleteObject

Definition at line 98 of file opennurbs_extensions.h.

## m_object

const ON_Object* ONX_Model_Object::m_object

Definition at line 99 of file opennurbs_extensions.h.

The documentation for this class was generated from the following file:

- pcl/surface/3rdparty/opennurbs/opennurbs_extensions.h